vigra - Random Number Generation

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Random Number Generation |

## Classes
class | NormalRandomFunctor< Engine >
class | RandomNumberGenerator< Engine >
class | UniformIntRandomFunctor< Engine >
class | UniformRandomFunctor< Engine >

## Typedefs
typedef RandomNumberGenerator < detail::RandomState < detail::MT19937 > > | MersenneTwister
typedef RandomNumberGenerator < detail::RandomState < detail::MT19937 > > | RandomMT19937
typedef RandomNumberGenerator < detail::RandomState < detail::TT800 > > | RandomTT800
typedef RandomNumberGenerator < detail::RandomState < detail::TT800 > > | TemperedTwister

## Functions
double | normal () const
RandomMT19937 & | randomMT19937 ()
RandomTT800 & | randomTT800 ()

## Detailed Description

High-quality random number generators and related functors.

## Typedef Documentation

typedef RandomNumberGenerator<detail::RandomState<detail::TT800> > RandomTT800

Shorthand for the TT800 random number generator class.

typedef RandomNumberGenerator<detail::RandomState<detail::TT800> > TemperedTwister

Shorthand for the TT800 random number generator class (same as RandomTT800).

typedef RandomNumberGenerator<detail::RandomState<detail::MT19937> > RandomMT19937

Shorthand for the MT19937 random number generator class.

typedef RandomNumberGenerator<detail::RandomState<detail::MT19937> > MersenneTwister

Shorthand for the MT19937 random number generator class (same as RandomMT19937).

## Function Documentation

RandomTT800& vigra::randomTT800 | ( |  | ) |

Access the global (program-wide) instance of the TT800 random number generator.

RandomMT19937& vigra::randomMT19937 | ( |  | ) |

Access the global (program-wide) instance of the MT19937 random number generator.

double normal | ( |  | ) | const

Return a standard normal variate (Gaussian) random number.

Mean is zero, standard deviation is 1.0. It uses the polar form of the Box-Muller transform.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Mon Nov 18 2013)